Loading...
Searching...
No Matches
Option.hpp File Reference
`#include <algorithm>`
`#include <functional>`
`#include <memory>`
`#include <set>`
`#include <string>`
`#include <tuple>`
`#include <utility>`
`#include <vector>`
`#include "Error.hpp"`
`#include "Macros.hpp"`
`#include "Split.hpp"`
`#include "StringTools.hpp"`
`#include "Validators.hpp"`
`#include "impl/Option_inl.hpp"`

Go to the source code of this file.

## Classes

class | CLI::OptionBase< CRTP >
class | CLI::OptionDefaults
class | CLI::Option

## Namespaces

namespace | CLI

## Typedefs

using | CLI::results_t = std::vector<std::string>
using | CLI::callback_t = std::function<bool(const results_t &)>
| callback function definition
using | CLI::Option_p = std::unique_ptr<Option>
using | CLI::Validator_p = std::shared_ptr<Validator>

## Enumerations

enum class | CLI::MultiOptionPolicy : char { CLI::Throw , CLI::TakeLast , CLI::TakeFirst , CLI::Join , CLI::TakeAll , CLI::Sum , CLI::Reverse }
| Enumeration of the multiOption Policy selection. More...
enum class | CLI::CallbackPriority : std::uint8_t { CLI::FirstPreHelp = 0 , CLI::First = 1 , CLI::PreRequirementsCheckPreHelp = 2 , CLI::PreRequirementsCheck = 3 , CLI::NormalPreHelp = 4 , CLI::Normal = 5 , CLI::LastPreHelp = 6 , CLI::Last = 7 }
| enumeration for the callback priority More...